C9LGMC(3)

SYNOPSIS
COMPLEX FUNCTION C9LGMC (ZIN)

NAME
c9lgmc - Compute the log gamma correction factor so that LOG(CGAMMA(Z)) = 0.5*LOG(2.*PI) + (Z-0.5)*LOG(Z) - Z + C9LGMC(Z).

LIBRARY
SLATEC (FNLIB)

CATEGORY
C7A

TYPE
COMPLEX (R9LGMC-S, D9LGMC-D, C9LGMC-C)

KEYWORDS
COMPLETE GAMMA FUNCTION, CORRECTION TERM, FNLIB, LOG GAMMA, LOGARITHM, SPECIAL FUNCTIONS

AUTHOR
Fullerton, W., (LANL)

DESCRIPTION
Compute the LOG GAMMA correction term for large ABS(Z) when REAL(Z) C9LGMC so that LOG(Z) = 0.5*LOG(2.*PI) + (Z-0.5)*LOG(Z) - Z + C9LGMC(Z)

REFERENCES
(NONE)

ROUTINES CALLED
R1MACH, XERMSG

REVISION HISTORY (YYMMDD)
780401 DATE WRITTEN
890531 Changed all specific intrinsics to generic. (WRB)
890531 REVISION DATE from Version 3.2
891214 Prologue converted to Version 4.0 format. (BAB)
900315 CALLs to XERROR changed to CALLs to XERMSG. (THJ)
900326 Removed duplicate information from DESCRIPTION section. (WRB)
900720 Routine changed from user-callable to subsidiary. (WRB)